#include "fighter.hpp"
void Fighter::load(CN(a83::Str) dir_name) {
  INI ini(Game::archive, dir_name + "conf.ini");
  cauto section = "CONFIG";
  auto info = new Fighter_info();
  bank_anim_mu.lock();
  info->p_anim = bank_anim.add(Game::archive, ini, dir_name, section,
    Bank_anim::Loader::NR3, Sprite::LightMode::way4);
  bank_anim_mu.unlock();
  mp_info_mu.lock();
  mp_info[static_id] = info;
  mp_info_mu.unlock();
  #define LDI(OPT) info->OPT = ini.getInt(section, #OPT, {});
  #define LDF(OPT) info->OPT = ini.getFloat(section, #OPT, {});
  LDI(hp)
  LDI(dmg)
  LDF(cld_dist)
  LDF(check_dist)
  LDF(bullet_speed)
  LDF(missile_speed)
  LDF(missile_accel_rot)
  LDF(missile_delay)
  LDF(vulkan_delay)
  LDF(min_spd)
  LDF(max_spd)
  LDF(rot_accel)
  LDF(accel)
  LDF(reverse)
  LDF(resist)
  LDF(shoot_dist)
  #undef LDI
  #undef LDF
} // load